package api.txInfo

import android.content.Context
import android.support.v4.widget.SwipeRefreshLayout
import android.view.LayoutInflater
import android.view.View
import android.widget.AbsListView
import android.widget.ListView
import android.widget.TextView
import android.widget.Toast
import com.idotools.sdk.gdt.R
import com.qq.e.ads.contentad.ContentAD
import com.qq.e.ads.contentad.ContentAdData


class TX_Info : InfoListAPI_TX() {
    private var contentDataList: ArrayList<ContentAdData> = ArrayList()
    private var content: ContentAD? = null
    private var view: View? = null
    private var myAdapter: InfoAdapter? = null
    private var mScrollState: Int = 0
    private var listView: ListView? = null
    private var refreshLayout: SwipeRefreshLayout? = null
    private var footView: View? = null
    private var footViewText: TextView? = null
    private var index = 0
    override fun loadInfo(context: Context?, GDTAPPID: String?, InfoID: String?, callBack: LoadInfoCallBack?): View? {
        contentDataList.clear()
        index = 0
        view = LayoutInflater.from(context).inflate(R.layout.info_content, null, false)
        listView = view!!.findViewById(R.id.list)
        refreshLayout = view!!.findViewById(R.id.refreshLayout)
        footView = View.inflate(context, R.layout.foot_view, null)
        footViewText = footView!!.findViewById(R.id.loadmore_text)
        footView!!.setOnClickListener {
            footViewText!!.text = "正在加载信息...."
            content?.loadAD(index, 98, true)
        }
        listView!!.addFooterView(footView)
        listView!!.setOnItemClickListener { p0, p1, p2, p3 ->
            if(callBack!=null){
                callBack.onItemClick()
            }
        }
        myAdapter = InfoAdapter(context!!, contentDataList, listView!!)
        listView!!.adapter = myAdapter
        refreshLayout!!.setOnRefreshListener {
            content?.loadAD(index, 98, true)
        }
        listView!!.setOnScrollListener(object : AbsListView.OnScrollListener {
            override fun onScrollStateChanged(view: AbsListView, scrollState: Int) {
                mScrollState = scrollState
            }

            override fun onScroll(view: AbsListView, firstVisibleItem: Int, visibleItemCount: Int, totalItemCount: Int) {
                if (mScrollState == AbsListView.OnScrollListener.SCROLL_STATE_IDLE) {
                    return
                }
                if (myAdapter != null) {
                    myAdapter!!.onScroll()
                }
            }
        })
        this.content = ContentAD(context, GDTAPPID, InfoID, object : ContentAD.ContentADListener {
            override fun onNoContentAD(p0: Int) {
                Toast.makeText(context, "加载失败", Toast.LENGTH_SHORT).show()
                callBack?.onNoContent(p0)
            }

            override fun onContentADError(p0: ContentAdData?, p1: Int) {
                Toast.makeText(context, "加载失败", Toast.LENGTH_SHORT).show()
                callBack?.onContentError(p1)
            }

            override fun onADVideoLoaded(p0: ContentAdData?) {

            }

            override fun onContentADLoaded(p0: List<ContentAdData>?) {
                if (p0!!.isNotEmpty()) {
                    if (refreshLayout!!.isRefreshing) {
                        contentDataList.clear()
                        contentDataList.addAll(p0)
                        listView!!.adapter = myAdapter
                        refreshLayout!!.isRefreshing = false
                        index = 0
                    } else {
                        contentDataList.addAll(p0)
                        myAdapter!!.notifyDataSetChanged()
                        footViewText!!.text = "加载更多信息"
                    }
                    index++
                    callBack?.onContentLoaded()
                } else {
                    callBack?.onContentError(-1)
                }
            }

            override fun onContentADStatusChanged(p0: ContentAdData?) {
            }
        })
        content?.loadAD(index, 98, true)
        return view
    }


}